Instalar el plugin de Google talk en Pardus


Hola Parduseros.

Una de las cosas curiosas de la comunidad Pardus en español, es la gran presencia que hace esta en la nueva red social de Google: Google+ . (Pueden añadir a sus círculos a nuestra página oficial allí) En ella se ofrece el tradicional videochat de una persona con otra, pero además vemos el concepto de quedadas, que nos permite hacerlo con 9 personas al tiempo.

Para que todo eso sea posible debemos tener un plugin para nuestro navegador, pero Google sólo ofrece paquetes .rpm y .deb dejando a los usuarios de Pardus un poco tristes, afortunadamente los desarrolladores de Pardus no se han dormido en sus laureles y ya están trabajando en ello, no obstante, podemos recordar lo obsesivos que son ellos con la estabilidad, por esa razón para los impacientes que quieran disfrutar este servicio, va dirigido este tutorial.

Primero debemos tener instalado en nuestro equipo el repositorio PardusUser.de, en este enlace verán los repos de Pardus y pueden ingresar la orden por terminal, si tienes Pardus de 32 bits es así:

sudo pisi ar PardusUser.de http://pakete.pardususer.de/pardus-2011/i686/pisi-index.xml.xz

si tienes Pardus de 64 bits la orden es:

sudo pisi ar PardusUser.de http://pakete.pardususer.de/pardus-2011/x86_64/pisi-index.xml.xz

Luego debemos deshabilitar el repositorio estable

sudo pisi dr pardus

y habilitar el repositorio devel, (yo tengo Pardus 2011.2 “Cervus elaphus”, así que los cambios en los nombres de los repositorios con respecto a Pardus 2011 y 2011.1 son mínimos, puedes consultar que repos tienes y como se llaman con un: pisi lr)

Recuerden que dependiendo de la versión que tengan, entonces para deshabilitar el repositorio estable, podría ser alguna de estas ordenes:

sudo pisi dr pardus
sudo pisi dr pardus-2011.1
sudo pisi dr pardus-2011.2

Insisto, siempre es bueno consultar con:

pisi lr

La sintaxis del comando para deshabilitar un repositorio es:

sudo pisi dr nombredelrepositorio

y para habilitarlo es:

sudo pisi er nombredelrepositorio

si NO tenemos instalado el repositorio devel hacemos…

si tienes Pardus de 32 bits:

sudo pisi ar pardus-2011.2-devel http://paketler.pardus.org.tr/pardus/2011.2/devel/i686/pisi-index.xml.xz -y

si tienes Pardus de 64 bits:

sudo pisi ar pardus-2011.2-devel http://paketler.pardus.org.tr/pardus/2011.2/devel/x86_64/pisi-index.xml.xz -y

si lo ya lo teníamos, pero estaba deshabilitado hacemos por ejemplo un

sudo pisi er pardus-2011.2-devel

Advertencia: devel y stable NO deben estar activados al tiempo.

Luego instalamos las dependencias específicas del plugin:

Si tienes Pardus de 32 bits:

sudo pisi it mesa gtk2 glib2 zlib libX11 libpng12 openssl alsa-lib libXfixes libXrandr libXrender gdk-pixbuf libXcomposite pulseaudio-libs dragonegg libpng12-pardususerde

Si tienes Pardus de 64 bits:

sudo pisi it mesa-32bit gtk2-32bit glib2-32bit zlib-32bit libX11-32bit openssl-32bit alsa-lib-32bit libXfixes-32bit libXrandr-32bit libXrender-32bit gdk-pixbuf-32bit libXcomposite-32bit pulseaudio-libs-32bit libpng12 dragonegg zlib-devel libpng-32bit zlib-32bit

Si tienes Pardus de 32 bits, sólo basta ingresar este comando y tendremos el plugin instalado:

sudo pisi it http://pakete.pardususer.de/playground/atolboo/google-talkpkugin/google-talkplugin-2.1.7.0-1-p11-i686.pisi -y

En Pardus de 64 bits, tendremos que crear el paquete .pisi que nos permitirá tener el plugin instalado.

Más específicamente hay que crear 4 .pisis y las ordenes de creación para ellos son estas:

sudo pisi bi https://svn.pardus.org.tr/pardus/playground/fatih.arslan/2011/google_talk/libpng12/pspec.xml

y luego hacemos:

sudo pisi bi https://svn.pardus.org.tr/pardus/playground/fatih.arslan/2011/google_talk/google-talkplugin/pspec.xml

Con esto se crearán los .pisis necesarios para el plugin, si quieres saber donde se crearon, ingresa esta orden en la terminal:

pwd

Nos vamos con Dolphin a la dirección donde esta los .pisis.

Debemos instalar los 4 .pisis en este orden:

libpng12

libpng12-32bit

libpng12-devel

google-talkplugin

Luego deshabilitamos el repositorio devel con un:

sudo pisi dr nombredelrepositoriodevel

en mi caso,

sudo pisi dr pardus-2011.2-devel

y habilitamos el repo estable con un:

sudo pisi er nombredelrepositoriostable

en mi caso,

sudo pisi er pardus

y por último hacemos un

sudo pisi ur

Este plugin funcionará en Firefox, Chromium, Google Chrome y Opera.

A disfrutar de Google+ en Pardus mes amis.

P.S

Gracias al compañero Yoyo y a eleefece por su gran ayuda en este tutorial.

=-=-=-=-=
Powered by Blogilo

7 pensamientos en “Instalar el plugin de Google talk en Pardus

  1. Yoyo

    Hola, compa, aquí estoy probando…

    Estoy en Pardus-64-bits y me dió error

    El primer proceso correcto pero a la hora de instalar el .pisi creado sale esto…

    Error pisi, dependencias externas no satisfechas: libpng12-32bit

    Responder
      1. Yoyo

        Hola cumpa

        Ya todo arreglado, te comento para que lo especifiques en la entrada

        La orden para crear los pisi de libpng12 en Pardus 64-bits crea 3 pisi y no 2, el libpng12, el libpng12-32bit y el libpng12-devel

        Luego a la hora de instalar los instalamos en ese mismo orden y por último el pisi del plugin de gtalk

        Ahora todo correcto, plugin detectado en Firefox, Opera, Chrome y Chromium😉

        Gracias por todo😛

  2. Yoyo

    Hay que recordar que antes de deshabilitar el repositorio estable deben comprobar el nombre de este con un

    $ pisi lr

    Pues no solo puede venirles como pardus si no como pardus-2011.1 y pardus-2011.2

    Dependiendo de la versión que tengan, entonces para deshabiltar el repositorio estable podría ser alguna de estas opciones

    sudo pisi dr pardus
    sudo pisi dr pardus-2011.1
    sudo pisi dr pardus-2011.2

    Y para luego habilitarlo

    sudo pisi er pardus-2011
    sudo pisi er pardus-2011.1
    sudo pisi er pardus-2011.2

    Aunque lo has explicado en la entrada, esto solo es un recordario un poco más extenso😉

    Responder
  3. eldelantero

    Hola muchachos.. la verdad que este tema me cae de maravillas porque soy google-dependiente. Ahora al seguir tus indicaciones compa iba todo bien pero ya al rato de instalar las dependencias del plugin me salió esto:

    Instalado 5 / 9
    libpng12-1.2.46-27-p11-i686.pisi [cached]
    Instalando libpng12, versión 1.2.46, release 27
    Programa terminado.
    Archivo en conflicto:
    /usr/share/doc/libpng12/README de paquete libpng12-pardususerde
    /usr/share/doc/libpng12/ANNOUNCE de paquete libpng12-pardususerde
    /usr/lib/libpng12.so de paquete libpng12-pardususerde
    /usr/share/doc/libpng12/CHANGES de paquete libpng12-pardususerde
    /usr/share/doc/libpng12/KNOWNBUG de paquete libpng12-pardususerde
    /usr/share/doc/libpng12/TODO de paquete libpng12-pardususerde
    /usr/lib/libpng12.so.0 de paquete libpng12-pardususerde
    /usr/lib/libpng.so.3 de paquete libpng12-pardususerde

    Responder

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s